/*
 * @Author: zc
 * @description 工单重办
 */
import request from '@/utils/request';
/**
 * @description 工单重办列表
 * @param {object} params
 */
export const redoList = (params: object) => {
    return request({
        url: `/api/v1/Order/redo`,
        method: 'get',
        params
    });
};
/**
 * @description 工单重办详情
 * @param id
 */
export const redoDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/redo/${id}`,
        method: 'get'
    });
};
/**
 * @description 工单重办基础信息
 */
export const redoBaseData = () => {
    return request({
        url: `/api/v1/Order/base-data-redo`,
        method: 'get'
    });
};
/**
 * @description 发起重办
 * @param {object} data
 */
export const redoApply = (data: object) => {
    return request({
        url: `/api/v1/Order/redo`,
        method: 'post',
        data
    });
};