/*
 * @Author: zc
 * @description 工单督办
 */
import request from '@/utils/request';
/**
 * @description 工单督办列表
 * @param {object} params
 */
export const superviseList = (params: object) => {
    return request({
        url: `/api/v1/Order/supervise`,
        method: 'get',
        params
    });
};
/**
 * @description 工单督办申请
 * @param data
 */
export const superviseApply = (data: object) => {
    return request({
        url: `/api/v1/Order/supervise/apply`,
        method: 'post',
        data
    });
};
/**
 * @description 工单督办回复
 * @param data
 */
export const superviseReply = (data: object) => {
    return request({
        url: `/api/v1/Order/supervise/reply`,
        method: 'post',
        data
    });
};
/**
 * @description 工单督办签收
 * @param data
 */
export const superviseSign = (data: object) => {
    return request({
        url: `/api/v1/Order/supervise/sign`,
        method: 'post',
        data
    });
};
/**
 * @description 工单督办详情
 * @param id
 */
export const superviseDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/supervise/${id}`,
        method: 'get',
    });
};
/**
 * @description 查询被督办/催办部门
 * @param workflowId
 */
export const urgeOrgList = (workflowId: string) => {
    return request({
        url: `/api/v1/Workflow/${workflowId}/urge`,
        method: 'get',
    });
};