/*
 * @Author: zc
 * @description 登录
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-08 15:39:38
 */
import request from '@/utils/request';
/**
 * @description 用户登录
 * @param {object} data  登录参数
 * @returns 返回接口数据
 */
// @ts-ignore
export const signIn = (data?: object) => {
	return request({
		url: '/api/v1/Identity/login',
		method: 'post',
		data,
	});
};
/**
 * @description 密码修改状态 未修改直接跳转到修改密码页面  不进入系统
 *  @returns
 */
export const pwdCheck = () => {
	return request({
		url: '/api/v1/User/pwd-changed',
		method: 'get',
	});
};
/**
 * @description 登录系统配置
 *  @returns
 */
export const loginPageInfo = () => {
	return request({
		url: '/api/v1/Identity/login-page-info',
		method: 'get',
	});
};
/**
 * @description 首页系统配置
 *  @returns
 */
export const getHomePageInfo = () => {
	return request({
		url: '/api/v1/Home/home-page-info',
		method: 'get',
	});
};
