/*
 * @Author: zc
 * @description 质检管理-质检中心
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '@/utils/request';
/**
 * @description 质检中心基础信息
 */
export const qualityBaseData = () => {
    return request({
        url: `/api/v1/Quality/base`,
        method: 'get'
    });
};
/**
 * @description 质检中心基础信息
 * @param {object}  params
 */
export const qualityList = (params: object) => {
    return request({
        url: `/api/v1/Quality/list`,
        method: 'get',
        params
    });
};
/**
 * @description 更新质检
 * @param {object}  data
 */
export const qualityUpdate = (data: object) => {
    return request({
        url: `/api/v1/Quality`,
        method: 'put',
        data
    });
};
/**
 * @description 删除质检
 * @param {object}  data
 */
export const qualityDelete = (data: object) => {
    return request({
        url: `/api/v1/Quality`,
        method: 'delete',
        data
    });
};
/**
 * @description 查询质检实体
 * @param id
 */
export const qualityDetail = (id: string) => {
    return request({
        url: `/api/v1/Quality/${id}`,
        method: 'get'
    });
};