/*
 * @Author: zc
 * @description 质检管理-项目管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '@/utils/request';
/**
 * @description 项目管理基础信息
 */
export const projectBaseData = () => {
    return request({
        url: `/api/v1/Quality/item_base`,
        method: 'get'
    });
};
/**
 * @description 项目管理列表
 * @param {object}  params
 */
export const projectList = (params: object) => {
    return request({
        url: `/api/v1/Quality/item/list`,
        method: 'get',
        params,
    });
};
/**
 * @description 项目管理实体
 * @param {string} id
 */
export const projectDetail = (id: string) => {
    return request({
        url: `/api/v1/Quality/item/${id}`,
        method: 'get'
    });
};
/**
 * @description 项目管理新增
 * @param {object} data
 */
export const projectAdd = (data: object) => {
    return request({
        url: `/api/v1/Quality/item`,
        method: 'post',
        data
    });
};
/**
 * @description 项目管理修改
 * @param {object} data
 */
export const projectUpdate = (data: object) => {
    return request({
        url: `/api/v1/Quality/item`,
        method: 'put',
        data
    });
};
/**
 * @description 项目管理删除
 * @param {object} data
 */
export const projectDelete = (data: object) => {
    return request({
        url: `/api/v1/Quality/itemBatch`,
        method: 'delete',
        data
    });
};